=== debian/control ===
Source: libvncserver
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.3), automake, libtool,
 libjpeg-dev, zlib1g-dev
Standards-Version: 3.8.2
Section: libs
Homepage: http://libvncserver.sourceforge.net

Package: libvncserver-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvncserver0 (= ${binary:Version}),
 libjpeg-dev, zlib1g-dev
Description: API to write one's own vnc server - development files
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy.  It hides
 the programmer from the tedious task of managing clients
 and compression schemata.
 .
 This is the development package which contains headers and static libraries 
 for libvncserver.

Package: libvncserver0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libvncserver0-dbg (= ${binary:Version})
Description: API to write one's own vnc server
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy.  It hides
 the programmer from the tedious task of managing clients
 and compression schemata.

Package: libvncserver0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvncserver0 (= ${binary:Version})
Description: debugging symbols for libvncserver
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy.  It hides
 the programmer from the tedious task of managing clients
 and compression schemata.
 .
 This package contains the debugging symbols for libvncserver.

Package: linuxvnc
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC server to allow remote access to a tty
 linuxvnc can export your currently running text sessions to any VNC client.
 It can be useful if you want to move to another computer without having to
 log out or to help a distant colleague solve a problem.
