## libvncserver 0.9.8.2

=== debian/changelog ===
libvncserver (0.9.8.2-2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Build with -O0 on ppc64 to work around a link failure.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 07 Jan 2012 11:51:59 +0100

libvncserver (0.9.8.2-2) unstable; urgency=low

  * debian/*.1:
    - Refresh man pages to consider new parameters (Closes: #518617).
  * debian/libvncserver-dev.install:
    - Install libvncserver.pc and libvncclient files (Closes: #649481).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 08 Dec 2011 11:55:19 +0100

libvncserver (0.9.8.2-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build with -O0 on ppc64 to work around a link failure.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Nov 2011 18:15:11 +0100

libvncserver (0.9.8.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fix a regression in libvncclient with Apple Remote Desktop support
      that prevented viewers to connect to ARD servers (Closes: #644455).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 Nov 2011 23:31:28 +0100

libvncserver (0.9.8.1-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fix ABI break (Closes: #644455).
  * debian/compat:
    - Bump compatibility to 8.
  * debian/control:
    - Adopting package.
    - Add Vcs-* fields.
    - Build-depend on dh-autoreconf instead of automake and libtool.
    - Add libgnutls-dev to libvncserver-dev dependencies.
  * debian/not-installed:
    - Not needed, removed.
  * debian/rules:
    - Build with autoreconf support.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 12 Oct 2011 19:59:26 +0200

libvncserver (0.9.8-2) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Build-depend on libgnutls-dev for GNUTLS support.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 02 Oct 2011 14:27:56 +0200

libvncserver (0.9.8-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #621705).
    - Fix segfault launching "linuxvnc 1 -help" (Closes: #399501).
    - Close socket when connection ends (Closes: #525226).
    - Fix no input caused by stucked CTRL key (Closes: #555988).
  * debian/patches/*:
    - Refresh patches for new upstream release.
  * debian/patches/05_GnuTLS.patch:
    - Backport patch from upstream repository to drop deprecated GnuTLS
      functions (gnutls_*_set_priority -> gnutls_priority_set_direct).
  * debian/control:
    - Build-depend on pkg-config.
    - Remove duplicate section field for libvncserver0 binary.
    - Bump Standards-Version to 3.9.2.
  * debian/libvncserver-config.1:
    - Use minus signs instead of hypens.
  * debian/README.source:
    - Dropped, no longer needed.
  * debian/watch:
    - Provide watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 02 Oct 2011 02:54:05 +0200
