=== debian/watch ===
version=3
http://sf.net/libvncserver/LibVNCServer-([0-9.]+)\.tar.gz
