## libvncserver 0.9.9%2Bdfsg2

=== debian/changelog ===
libvncserver (0.9.9+dfsg2-6.1+deb8u8) jessie-security; urgency=medium

  * debian/patches:
    + Add CVE-2019-20839.patch. libvncclient: bail out if unix socket name would
      overflow (CVE-2019-20839).
    + Add CVE-2020-14397.patch. libvncserver: add missing NULL pointer checks
      (CVE-2020-14397).
    + Add CVE-2020-14399.patch. libvncclient: fix pointer aliasing/alignment
      issue (CVE-2020-14399).
    + Add CVE-2020-14400.patch. libvncserver: fix pointer aliasing/alignment
      issue (CVE-2020-14400).
    + Add CVE-2020-14401.patch. libvncserver: scale: cast to 64 bit before
      shifting (CVE-2020-14401).
    + Add CVE-2020-14402+14403,14404}.patch. libvncserver: encodings: prevent
      OOB accesses (CVE-2020-14402, CVE-2020-14403, CVE-2020-14404).
    + Add CVE-2020-14405.patch. libvncclient/rfbproto: limit max textchat size
      (CVE-2020-14405).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 16:43:17 +0200

libvncserver (0.9.9+dfsg2-6.1+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Add patch to limit width/height input values to avoid a possible
    heap overflow. (Fixes: CVE-2019-15690) (Closes: #954163)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 17 Mar 2020 23:58:32 +0530

libvncserver (0.9.9+dfsg2-6.1+deb8u6) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * CVE-2019-15681: rfbserver: don't leak stack memory to the remote.
    (Closes: #943793).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Oct 2019 13:46:34 +0100

libvncserver (0.9.9+dfsg2-6.1+deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2018-20748: incomplete fix for CVE-2018-20019 oob heap writes.
  * CVE-2018-20749: incomplete fix for CVE-2018-15127 oob heap writes.
  * CVE-2018-20750: incomplete fix for CVE-2018-15127 oob heap writes.
  * CVE-2018-15126: heap use-after-free resulting in possible RCE.
  * debian/libvncserver0.symbols: update for the symbol changes in the
    CVE-2018-15126 patch, which split a function in two with new names.
    This is not really an ABI change as these symbols are private, i.e. not
    exported in any public headers, and only exported on the DSO because
    there's no filter applied.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 31 Jan 2019 12:17:10 +0100

libvncserver (0.9.9+dfsg2-6.1+deb8u4) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2018-15127: heap out-of-bound write vulnerability (Closes: #916941)
  * CVE-2018-20019: multiple heap out-of-bound write vulnerabilities
  * CVE-2018-20020: heap out-of-bound write vulnerability inside structure
    in VNC client code
  * CVE-2018-20021: CWE-835: Infinite loop vulnerability in VNC client code.
  * CVE-2018-20022: CWE-665: Improper Initialization vulnerability
  * CVE-2018-20023:Improper Initialization vulnerability in VNC Repeater client
    code
  * CVE-2018-20024: null pointer dereference that can result DoS
  * CVE-2018-6307: heap use-after-free vulnerability in server code of
    file transfer extension
 
 -- Abhijith PA <abhijith@debian.org>  Sun, 23 Dec 2018 16:21:23 +0530

libvncserver (0.9.9+dfsg2-6.1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2018-7225: Uninitialized and potentially sensitive data could be
    accessed by remote attackers because the msg.cct.length in rfbserver.c was
    not sanitized. (Closes: #894045)

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jun 2018 14:05:57 +0200

libvncserver (0.9.9+dfsg2-6.1+deb8u2) jessie-security; urgency=high

  * CVE-2016-9941 (Closes: #850007)
  * CVE-2016-9942 (Closes: #850008)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 03 Jan 2017 09:41:51 +0100

libvncserver (0.9.9+dfsg2-6.1+deb8u1) stable; urgency=medium

  * added patch for libgcrypt init before use (Closes: #782570)
  * replaced non-free sha1 implementation (Closes: #786907)
  * new maintainer due to package adoption

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 27 May 2015 07:29:58 +0200

libvncserver (0.9.9+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2014-6051, CVE-2014-6052, CVE-2014-6053, CVE-2014-6054, CVE-2014-6055:
    Multiple issues in libVNCserver -- cherry picking targeted fixed from
    upstream (Closes: #762745)

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Nov 2014 16:19:53 +0100

libvncserver (0.9.9+dfsg-6) unstable; urgency=medium

  [ Luca Falavigna ]
  * debian/patches/pkgconfig.patch:
    - Use Libs.private to avoid unnecessary linkage (Closes: #747539).
  * debian/tests/*:
    - Provide a simple test to check whether the package is functional
      as per DEP8 (autopkgtests).
  * debian/control:
    - (Build-)depends on libgnutls28-dev and libgcrypt20-dev instead of
      libgnutls-dev and libgcrypt11-dev (Closes: #753126).
    - Point Homepage field to the new home page.
  * debian/copyright:
    - Point Source field to the new download location.
  * debian/watch:
    - Point to GitHub.

  [ Gianfranco Costamagna ]
  * Drop the libpng12-dev build conflict, relying instead on a better
    --without-png configure flag

  [ Matthias Klose ]
  * debian/patches/ppc64el.patch
    - Patch acinclude.m4 for ppc64el (Closes: #756809).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 12 Aug 2014 16:02:26 +0200

libvncserver (0.9.9+dfsg-5) unstable; urgency=medium

  * debian/patches/listenSock.patch:
    - Cherry-pick patch from upstream to fix a segfault on listenSock
      and listen6Sock, thanks to Shaddy Baddah (Closes: #746260).
  * debian/control:
    - Build-depends on libgcrypt11-dev, thanks to Andreas Metzler for
      the bug report (Closes: #745954).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 May 2014 10:20:21 +0200

libvncserver (0.9.9+dfsg-4) unstable; urgency=medium

  * debian/copyright:
    - Document missing copyright information (Closes: #734849).


