## libvncserver 0.9.9+dfsg

=== debian/control ===
Source: libvncserver
Section: libs
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgnutls28-dev,
               libjpeg-dev,
               pkg-config,
               libgcrypt20-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://libvnc.github.io
Vcs-Git: git://anonscm.debian.org/collab-maint/libvncserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvncserver.git;a=summary

Package: libvncclient0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libvncserver0 (<< 0.9.9+dfsg-3)
Replaces: libvncserver0 (<< 0.9.9+dfsg-3)
Multi-Arch: same
Description: API to write one's own vnc server - client library
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides the client library.

Package: libvncserver0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: API to write one's own vnc server
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides the server library.

Package: libvncserver-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libvncclient0 (= ${binary:Version}),
         libvncserver0 (= ${binary:Version}),
         libgnutls28-dev,
         libjpeg-dev,
         zlib1g-dev,
         libvncserver-config
Multi-Arch: same
Description: API to write one's own vnc server - development files
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This is the development package which contains headers and static libraries 
 for libvncserver.

Package: libvncserver-config
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libvncclient0 (= ${binary:Version}),
         libvncserver0 (= ${binary:Version})
Multi-Arch: foreign
Description: API to write one's own vnc server - library utility
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package provides libvncserver-config utility, needed to obtain some
 option of the libvncserver library.

Package: libvncclient0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvncclient0 (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for libvncclient
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package contains the debugging symbols for libvncclient.

Package: libvncserver0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvncserver0 (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for libvncserver
 LibVNCServer makes writing a VNC server (or more correctly, a program
 exporting a framebuffer via the Remote Frame Buffer protocol) easy. It hides
 the programmer from the tedious task of managing clients and compression.
 .
 This package contains the debugging symbols for libvncserver.

Package: linuxvnc
Section: net
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: VNC server to allow remote access to a tty
 linuxvnc can export your currently running text sessions to any VNC client.
 It can be useful if you want to move to another computer without having to
 log out or to help a distant colleague solve a problem.
