=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//')

export LIBTOOLIZE = true
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS), linux)
  EXTRA_DH_ARG=-Nlinuxvnc
endif

%:
	dh $@ $(EXTRA_DH_ARG) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --without-png

override_dh_strip:
	dh_strip -plibvncclient0 --dbg-package=libvncclient0-dbg
	dh_strip -plibvncserver0 --dbg-package=libvncserver0-dbg
	dh_strip

get-orig-source:	 
	tar fxz ../libvncserver_${VERSION}.orig.tar.gz -C ..
	cd ../LibVNCServer-${VERSION} && rm -fr webclients
	tar czf ../libvncserver_${VERSION}+dfsg.orig.tar.gz ../LibVNCServer-${VERSION}
	rm -fr ../LibVNCServer-${VERSION}
