## libvncserver 0.9.9+dfsg2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libvncserver
 Section: libs
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libgnutls28-dev,
