=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,6 @@
 
 get-orig-source:	 
 	tar fxz ../libvncserver_${VERSION}.orig.tar.gz -C ..
-	cd ../LibVNCServer-${VERSION} && rm -fr webclients
+	cd ../LibVNCServer-${VERSION} && rm -fr webclients && rm -fr common/sha1.*
 	tar czf ../libvncserver_${VERSION}+dfsg.orig.tar.gz ../LibVNCServer-${VERSION}
 	rm -fr ../LibVNCServer-${VERSION}
