=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libvncserver-$1\.tar\.gz/ \
https://github.com/LibVNC/libvncserver/tags .*/LibVNCServer-(\d\S*)\.tar\.gz
