=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg// \
https://github.com/LibVNC/libvncserver/releases .*/archive/LibVNCServer-(\d\S+)\.tar\.gz
