## libvncserver 0.9.11+dfsg

=== debian/changelog ===
libvncserver (0.9.11+dfsg-1ubuntu1) bionic; urgency=medium

  * SECURITY UPDATE: integer overflow or memory access
    - debian/patches/CVE-2018-7225.patch: limit client cut text length to
      1 MB in libvncserver/rfbserver.c.
    - CVE-2018-7225

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Mar 2018 10:33:35 -0400

libvncserver (0.9.11+dfsg-1) unstable; urgency=high

  * New upstream release, containing security fixes for
    - CVE-2016-9941
    - CVE-2016-9942
  * Remove upstream applied patches

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 03 Jan 2017 11:50:27 +0100
