=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                libgnutls28-dev,
                libjpeg-dev,
                pkg-config,
                libgcrypt20-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://libvnc.github.io
-Vcs-Git: git://anonscm.debian.org/collab-maint/libvncserver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvncserver.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvncserver.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libvncserver.git
 
 Package: libvncclient1
 Architecture: any
