=== debian/tests/control ===
Tests: smoketest-libvncserver
Depends: libvncserver-dev,
         build-essential

Tests: smoketest-libvncclient
Depends: libvncserver-dev,
         build-essential
